/****************************************************************
 * Auto generated by DE, please DO NOT modify this file directly.
 *****************************************************************/

#ifndef __MT_SPM_PMIC_WRAP__H__
#define __MT_SPM_PMIC_WRAP__H__

/* pmic voltage control */
#define RG_BUCK_VPROC_VOSEL             0x14aa
#define RG_SMPS_ANA_CON1                0x170a
#define RG_SMPS_ANA_CON2                0x170c
#define RG_LDO_VSRAM_OTHERS_VOSEL       0x19fc
#define RG_BUCK_VCORE_VOSEL             0x152a
#define RG_LDO_VSRAM_PROC_VOSEL         0x19fa

/* enable / disable */
#define TOP_SPI_CON0                    0x0448
#define RG_BUCK_VPROC_SW_OP_EN          0x1490
#define RG_BUCK_VPROC_EN                0x1488
#define RG_LDO_VSRAM_OTHERS_SW_OP_EN    0x19d8
#define RG_LDO_VSRAM_OTHERS_EN          0x19d0
#define RG_BUCK_VCORE_SW_OP_EN          0x1510
#define RG_BUCK_VCORE_EN                0x1508
#define RG_LDO_VSRAM_PROC_SW_OP_EN      0x19ba
#define RG_LDO_VSRAM_PROC_EN            0x19b2

/* Phase */
enum pmic_wrap_phase_id {
	PMIC_WRAP_PHASE_ALLINONE,
	NR_PMIC_WRAP_PHASE,
};

/* IDX mapping */
enum {
	CMD_0,        /* 0x0 *//* PMIC_WRAP_PHASE_ALLINONE */
	CMD_1,        /* 0x1 */
	CMD_2,        /* 0x2 */
	CMD_3,        /* 0x3 */
	CMD_4,        /* 0x4 */
	CMD_5,        /* 0x5 */
	CMD_6,        /* 0x6 */
	CMD_7,        /* 0x7 */
	CMD_8,        /* 0x8 */
	CMD_9,        /* 0x9 */
	CMD_10,       /* 0xA */
	CMD_11,       /* 0xB */
	CMD_12,       /* 0xC */
	CMD_13,       /* 0xD */
	CMD_14,       /* 0xE */
	CMD_15,       /* 0xF */
	NR_IDX_ALL,
};

/* APIs */
extern uint32_t mt_spm_pmic_wrap_get_1v_data(void);
extern void mt_spm_pmic_wrap_set_phase(enum pmic_wrap_phase_id phase);
extern void mt_spm_pmic_wrap_set_cmd(enum pmic_wrap_phase_id phase, uint32_t idx, uint32_t cmd_wdata);
extern uint64_t mt_spm_pmic_wrap_get_cmd(enum pmic_wrap_phase_id phase, uint32_t idx);

#endif /* __MT_SPM_PMIC_WRAP__H__ */
